EBImage library error
1
0
Entering edit mode
@marco-zucchelli-1987
Last seen 7.7 years ago
Dear All, I am trying to install EBImage on fedora 5. I installed ImageMagick 6.4 and gtk+ 2.12 with all the dependencies from source without problem. Anyway when I install the EBImage package (either the standard or the most recent 2.3.16) I get the following error: ------------------------------------------------ g++ -shared -L/usr/local/lib64 -o EBImage.so colors.o conversions.o display.o drawable.o EBImage.o features_haralick.o features_hull.o features_moments.o features_zernike.o filters_distmap.o filters_floodfill.o filters_magick.o filters_morph.o filters_normalize.o filters_propagate.o filters_thresh.o filters_watershed.o frameDist.o io.o objects.o tools.o -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -L/usr/local/lib -lfreetype -lz -L/usr/local/lib -lMagickWand -lMagickCore -lWand /usr/bin/ld: cannot find -lWand collect2: ld returned 1 exit status make: *** [EBImage.so] Error 1 > sessionInfo() R version 2.6.2 (2008-02-08) x86_64-unknown-linux-gnu locale: LC_CTYPE=en_US.UTF-8;LC_NUMERIC=C;LC_TIME=en_US.UTF-8;LC_COLLATE=en_US .UTF-8;LC_MONETARY=en_US.UTF-8;LC_MESSAGES=en_US.UTF-8;LC_PAPER=en_US. UTF-8;LC_NAME=C;LC_ADDRESS=C;LC_TELEPHONE=C;LC_MEASUREMENT=en_US.UTF-8 ;LC_IDENTIFICATION=C attached base packages: [1] stats graphics grDevices datasets utils methods base loaded via a namespace (and not attached): [1] rcompgen_0.1-17 tools_2.6.2 ---------------------------------------- Does anybody encountered the same problem, either has any suggestion ? To me seem that libWand should come with ImageMagick but it is not created not even building from source Best Regards Marco Zucchelli [[alternative HTML version deleted]]
EBImage EBImage • 815 views
ADD COMMENT
0
Entering edit mode
Tony Chiang ▴ 570
@tony-chiang-1769
Last seen 7.7 years ago
Hi Marco, I am copying the list so that others can see your solution (if they search the archives in the future). Generally, versions should be the most up to date because there is very little time and resource to maintain old packages and such. Cheers, --tony On Wed, Jul 16, 2008 at 7:55 AM, marco zucchelli <marco.bioc@gmail.com> wrote: > Hi and thanks, > > I think I found the solution in the mean while: > > seems that starting from 6.4 of lmagemagick libWand became libMagickWand > so by making softlinks of the type ln -sf libMagickWand libWand in > /usr/local/lib makes the package to install > > now the question is if this is correct or not. I found this tip by googling > around .... > > If Oleg would like to comment bout this would be great! > > Thanks, I will update R ! > Cheers > > Marco > > > > > > On Wed, Jul 16, 2008 at 4:48 PM, Tony Chiang <tchiang@ebi.ac.uk> wrote: > >> Hi Marco, >> I am sure that Oleg or someone else with more technical know how can give >> you some better suggestions than I can, but for what it is worth, can you >> update your R to the latest released version and see if that helps with >> installation? The package should conform with the version of R, so the >> latest released version of R should (in principle) work with the latest >> released version of EBImage. >> >> Cheers, >> --tony >> >> On Wed, Jul 16, 2008 at 7:10 AM, marco zucchelli <marco.bioc@gmail.com> >> wrote: >> >>> Dear All, >>> >>> I am trying to install EBImage on fedora 5. >>> I installed ImageMagick 6.4 and gtk+ 2.12 with all the dependencies from >>> source without problem. >>> Anyway when I install the EBImage package (either the standard or the >>> most >>> recent 2.3.16) >>> I get the following error: >>> >>> ------------------------------------------------ >>> g++ -shared -L/usr/local/lib64 -o EBImage.so colors.o conversions.o >>> display.o drawable.o EBImage.o features_haralick.o features_hull.o >>> features_moments.o features_zernike.o filters_distmap.o >>> filters_floodfill.o >>> filters_magick.o filters_morph.o filters_normalize.o filters_propagate.o >>> filters_thresh.o filters_watershed.o frameDist.o io.o objects.o tools.o >>> -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 >>> -lm >>> -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl >>> -lglib-2.0 -L/usr/local/lib -lfreetype -lz -L/usr/local/lib >>> -lMagickWand >>> -lMagickCore -lWand >>> /usr/bin/ld: cannot find -lWand >>> collect2: ld returned 1 exit status >>> make: *** [EBImage.so] Error 1 >>> >>> >>> >>> > sessionInfo() >>> R version 2.6.2 (2008-02-08) >>> x86_64-unknown-linux-gnu >>> >>> locale: >>> >>> LC_CTYPE=en_US.UTF-8;LC_NUMERIC=C;LC_TIME=en_US.UTF-8;LC_COLLATE=e n_US.UTF-8;LC_MONETARY=en_US.UTF-8;LC_MESSAGES=en_US.UTF-8;LC_PAPER=en _US.UTF-8;LC_NAME=C;LC_ADDRESS=C;LC_TELEPHONE=C;LC_MEASUREMENT=en_US.U TF-8;LC_IDENTIFICATION=C >>> >>> attached base packages: >>> [1] stats graphics grDevices datasets utils methods base >>> >>> loaded via a namespace (and not attached): >>> [1] rcompgen_0.1-17 tools_2.6.2 >>> ---------------------------------------- >>> >>> Does anybody encountered the same problem, either has any suggestion ? >>> To me seem that libWand should come with ImageMagick but it is not >>> created >>> not even building from source >>> >>> >>> Best Regards >>> >>> Marco Zucchelli >>> >>> [[alternative HTML version deleted]] >>> >>> _______________________________________________ >>> Bioconductor mailing list >>> Bioconductor@stat.math.ethz.ch >>> https://stat.ethz.ch/mailman/listinfo/bioconductor >>> Search the archives: >>> http://news.gmane.org/gmane.science.biology.informatics.conductor >>> >> >> > [[alternative HTML version deleted]]
ADD COMMENT
0
Entering edit mode
Hi Tony, I get exactly the same error under R.2.7.1 (see below) and the same trick as before works. I attach the link where I found this info. http://www.mail-archive.com/cygwin-apps@cygwin.com/msg19908.html there might be better pages Cheers Marco ------------------------------------------------------------------ R version 2.7.1 (2008-06-23) x86_64-unknown-linux-gnu locale: LC_CTYPE=en_US.UTF-8;LC_NUMERIC=C;LC_TIME=en_US.UTF-8;LC_COLLATE=en_US .UTF-8;LC_MONETARY=C;LC_MESSAGES=en_US.UTF-8;LC_PAPER=en_US.UTF-8;LC_N AME=C;LC_ADDRESS=C;LC_TELEPHONE=C;LC_MEASUREMENT=en_US.UTF-8;LC_IDENTI FICATION=C attached base packages: [1] stats graphics grDevices datasets utils methods base loaded via a namespace (and not attached): [1] tools_2.7.1 g++ -shared -L/usr/local/lib64 -o EBImage.so colors.o conversions.o display.o drawable.o EBImage.o features_haralick.o features_hull.o features_moments.o features_zernike.o filters_distmap.o filters_floodfill.o filters_magick.o filters_morph.o filters_normalize.o filters_propagate.o filters_thresh.o filters_watershed.o frameDist.o io.o objects.o tools.o -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -L/usr/local/lib -lfreetype -lz -L/usr/local/lib -lMagickWand -lMagickCore -lWand /usr/bin/ld: cannot find -lWand collect2: ld returned 1 exit status make: *** [EBImage.so] Error 1 -------------------------- On Wed, Jul 16, 2008 at 5:17 PM, Tony Chiang <tchiang@fhcrc.org> wrote: > Hi Marco, > I am copying the list so that others can see your solution (if they search > the archives in the future). Generally, versions should be the most up to > date because there is very little time and resource to maintain old packages > and such. > > Cheers, > --tony > > > On Wed, Jul 16, 2008 at 7:55 AM, marco zucchelli <marco.bioc@gmail.com> > wrote: > >> Hi and thanks, >> >> I think I found the solution in the mean while: >> >> seems that starting from 6.4 of lmagemagick libWand became libMagickWand >> so by making softlinks of the type ln -sf libMagickWand libWand in >> /usr/local/lib makes the package to install >> >> now the question is if this is correct or not. I found this tip by >> googling around .... >> >> If Oleg would like to comment bout this would be great! >> >> Thanks, I will update R ! >> Cheers >> >> Marco >> >> >> >> >> >> On Wed, Jul 16, 2008 at 4:48 PM, Tony Chiang <tchiang@ebi.ac.uk> wrote: >> >>> Hi Marco, >>> I am sure that Oleg or someone else with more technical know how can give >>> you some better suggestions than I can, but for what it is worth, can you >>> update your R to the latest released version and see if that helps with >>> installation? The package should conform with the version of R, so the >>> latest released version of R should (in principle) work with the latest >>> released version of EBImage. >>> >>> Cheers, >>> --tony >>> >>> On Wed, Jul 16, 2008 at 7:10 AM, marco zucchelli <marco.bioc@gmail.com> >>> wrote: >>> >>>> Dear All, >>>> >>>> I am trying to install EBImage on fedora 5. >>>> I installed ImageMagick 6.4 and gtk+ 2.12 with all the dependencies from >>>> source without problem. >>>> Anyway when I install the EBImage package (either the standard or the >>>> most >>>> recent 2.3.16) >>>> I get the following error: >>>> >>>> ------------------------------------------------ >>>> g++ -shared -L/usr/local/lib64 -o EBImage.so colors.o conversions.o >>>> display.o drawable.o EBImage.o features_haralick.o features_hull.o >>>> features_moments.o features_zernike.o filters_distmap.o >>>> filters_floodfill.o >>>> filters_magick.o filters_morph.o filters_normalize.o filters_propagate.o >>>> filters_thresh.o filters_watershed.o frameDist.o io.o objects.o tools.o >>>> -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 >>>> -lm >>>> -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl >>>> -lglib-2.0 -L/usr/local/lib -lfreetype -lz -L/usr/local/lib >>>> -lMagickWand >>>> -lMagickCore -lWand >>>> /usr/bin/ld: cannot find -lWand >>>> collect2: ld returned 1 exit status >>>> make: *** [EBImage.so] Error 1 >>>> >>>> >>>> >>>> > sessionInfo() >>>> R version 2.6.2 (2008-02-08) >>>> x86_64-unknown-linux-gnu >>>> >>>> locale: >>>> >>>> LC_CTYPE=en_US.UTF-8;LC_NUMERIC=C;LC_TIME=en_US.UTF-8;LC_COLLATE= en_US.UTF-8;LC_MONETARY=en_US.UTF-8;LC_MESSAGES=en_US.UTF-8;LC_PAPER=e n_US.UTF-8;LC_NAME=C;LC_ADDRESS=C;LC_TELEPHONE=C;LC_MEASUREMENT=en_US. UTF-8;LC_IDENTIFICATION=C >>>> >>>> attached base packages: >>>> [1] stats graphics grDevices datasets utils methods base >>>> >>>> loaded via a namespace (and not attached): >>>> [1] rcompgen_0.1-17 tools_2.6.2 >>>> ---------------------------------------- >>>> >>>> Does anybody encountered the same problem, either has any suggestion ? >>>> To me seem that libWand should come with ImageMagick but it is not >>>> created >>>> not even building from source >>>> >>>> >>>> Best Regards >>>> >>>> Marco Zucchelli >>>> >>>> [[alternative HTML version deleted]] >>>> >>>> _______________________________________________ >>>> Bioconductor mailing list >>>> Bioconductor@stat.math.ethz.ch >>>> https://stat.ethz.ch/mailman/listinfo/bioconductor >>>> Search the archives: >>>> http://news.gmane.org/gmane.science.biology.informatics.conductor >>>> >>> >>> >> > [[alternative HTML version deleted]]
ADD REPLY

Login before adding your answer.

Traffic: 298 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6